# $Revision: 1.13 $, $Date: 2002/07/12 10:22:14 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Date
%define	pnam	Tolkien-Shire
Summary:	Date::Tolkien::Shire perl module
Summary(pl):	Modu perla Date::Tolkien::Shire
Name:		perl-Date-Tolkien-Shire
Version:	1.01
Release:	6
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an object-oriented module to convert dates into the Shire
Calender as presented in the Lord of the Rings by J. R. R. Tolkien. It
includes converting epoch time to the Shire Calendar (you can also get
epoch time back), comparison operators, and a method to print a
formatted string containing that does something to the effect of on
this date in history -- pulling events from the Lord of the Rings.

%description -l pl
To jest obiektowo zorientowany modu do konwertowania dat na kalendarz
Shire, jaki zosta przedstawiony we "Wadcy piercieni" J. R. R.
Tolkiena. Zawiera konwersj czasu w formacie epoch na kalendarz Shire
(i z powrotem), operatory porwna oraz metod do wypisywania
sformatowanego cigu zawierajcego to, co zdarzyo si w tym czasie -
zdarzenia z "Wadcy piercieni".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%dir %{perl_sitelib}/Date/Tolkien
%{perl_sitelib}/Date/Tolkien/Shire.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Date-Tolkien-Shire.spec,v $
Revision 1.13  2002/07/12 10:22:14  qboosh
- added missing dir, new %%doc; release 6

Revision 1.12  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.9  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 14:11:02  depesz
automatic: Source location unfied, Relase Up

Revision 1.7  2002/02/10 15:39:12  depesz
adapterized

Revision 1.6  2002/01/18 02:14:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.4  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.3  2001/11/27 16:30:46  mis
- autoupdated to 1.01

Revision 1.2  2001/06/09 11:42:52  mis
- autoupdated to 1

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
